Bug 853178 - setuid/gid programs should have full RELRO
setuid/gid programs should have full RELRO
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
18
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 853068
  Show dependency treegraph
 
Reported: 2012-08-30 12:37 EDT by Steve Grubb
Modified: 2013-03-15 10:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: initscripts-9.45-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-15 10:41:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2012-08-30 12:37:23 EDT
Description of problem:
Setuid programs should have full RELRO support enabled for extra protection. Also, setgid programs should be compiled with gcc's PIE flag.

FILE                                                TYPE        RELRO    PIE 
/sbin/netreport                                     setgid      partial  no  
/usr/sbin/usernetctl                                setuid      partial  yes 

You can use this program for testing:
http://people.redhat.com/sgrubb/files/rpm-chksec
Comment 1 Steve Grubb 2013-03-07 11:48:22 EST
Checking to see if there is any progress on updating the compile flags? We'd like to close this bug if its already done. Thanks.

Note You need to log in before you can comment on or make changes to this bug.